---
title: "Update Price"
source_url: https://docs.rapyd.net/en/update-price.html
lang: en
---

# Update Price

Send a request to update the transaction amount on a PAX POS device after a discount or loyalty card is read.

### Parameters

### Request Header Parameters

- - X-API-KEY (string, required)
  - Unique access key provided by Rapyd for each partner.

### Request Body Parameters

- - updatedAmount (string, required)
  - New amount after discount in minor units, e.g. 12 EUR is 1200.

- - callbackUrl (string, required)
  - The URL that CloudLinkApi will use to return information to the caller.

- - deviceToken (string, required)
  - The token of a PAX POS device.

- - correlationId (string)
  - An ID provided by the caller. Returned in the callback for message matching.

- - timeToLive (number)
  - The maximum time, in seconds, for a request to reach the physical terminal. The default value is 5 seconds.

- - terminalId (string)
  - If terminal has more than one merchant, this field is used to identify the merchant. To get a list of merchants, use the requestMerchantConfig request. Value can be null.

### 202 Accepted Response

- - message (string)
  - Accepted

### 400 Error Response

- - type (string)
  - Example: https://tools.ietf.org/html/rfc7231#section-6.5.1

- - title (string)
  - Bad Request

- - status (integer)
  - 400

- - detail (string)
  - DeviceId not registered

### 401 Error Response

- - message (string)
  - Unauthorized

### 500 Error Response

- - message (string)
  - Server Error

- /discount/updateprice

- 202 Accepted Update Price
- ```curl
  curl -X
  post https://cloudlink.valitor.com/CloudLinkApi/discount/updateprice
  -H 'X-API-KEY: your-access-key-here'
  -d '
  {
    "updatedAmount": "900",
    "callbackUrl": "http://example.com/webhook-endpoint",
    "deviceToken": "b16526c3447ba6cea4818d",
    "correlationId": "5d1d4ea-8229-44d7-b517-26a5ae6c2fda",
    "timeToLive": 5,
    "terminalId": null
  }
  ' 
  ```
- ```json
  {
    "message": "Accepted"	
  }
  ```

- 400 Bad Request
- ```curl
  curl -X
  post https://cloudlink.valitor.com/CloudLinkApi/discount/updateprice
  -H 'X-API-KEY: your-access-key-here'
  -d '
  {
    "updatedAmount": "900",
    "callbackUrl": "http://example.com/webhook-endpoint",
    "deviceToken": "b16526c3447ba6cea4818d",
    "correlationId": "5d1d4ea-8229-44d7-b517-26a5ae6c2fda",
    "timeToLive": 5,
    "terminalId": null
  }
  '
  ```
- ```json
  {
    "type": "https://tools.ietf.org/html/rfc7231#section-6.5.1",
    "title": "Bad Request",
    "status": 400,
    "detail": "DeviceId not registered"
  }
  ```

- 401 Unauthorized
- ```curl
  curl -X
  post https://cloudlink.valitor.com/CloudLinkApi/discount/updateprice
  -H 'X-API-KEY: your-access-key-here'
  -d '
  {
    "updatedAmount": "900",
    "callbackUrl": "http://example.com/webhook-endpoint",
    "deviceToken": "b16526c3447ba6cea4818d",
    "correlationId": "5d1d4ea-8229-44d7-b517-26a5ae6c2fda",
    "timeToLive": 5,
    "terminalId": null
  }
  ' 
  ```
- ```json
  {
    "message": "Unauthorized"
  }
  ```

- 500 Server Error
- ```curl
  curl -X
  post https://cloudlink.valitor.com/CloudLinkApi/discount/updateprice
  -H 'X-API-KEY: your-access-key-here'
  -d '
  {
    "updatedAmount": "900",
    "callbackUrl": "http://example.com/webhook-endpoint",
    "deviceToken": "b16526c3447ba6cea4818d",
    "correlationId": "5d1d4ea-8229-44d7-b517-26a5ae6c2fda",
    "timeToLive": 5,
    "terminalId": null
  }
  '
  ```
- ```json
  {
    "message": "Server Error"
  }
  ```
